package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/9/10
 */
public class TeacherForCheckerReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private int pageNo;
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;
    @ApiModelProperty(name = "maxCreateTime", value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)", required = true)
    private String maxCreateTime;
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;
    @ApiModelProperty(name = "teacherName", value = "老师", required = true)
    private String teacherName;
    @ApiModelProperty(name = "selectTime", value = "时间(0:全部，1：今天，2：前一天，3：前2天，4：前3天，5：前4天，6：前5天，7：前6天)", required = true)
    private int selectTime;
    @ApiModelProperty(name = "type", value = "8:批改老师，13：匹配知识点老师", required = true)
    private int type;
    @ApiModelProperty(name = "managerId", value = "管理员id", required = true)
    private String managerId;
    @ApiModelProperty(name = "tag", value = "老师标签（1：重点，2：放心，3：一般）", required = true)
    private int tag;

    public int getTag() {
        return tag;
    }

    public void setTag(int tag) {
        this.tag = tag;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public int getSelectTime() {
        return selectTime;
    }

    public void setSelectTime(int selectTime) {
        this.selectTime = selectTime;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
